# std::tr1::uniform_real< _RealType > Class Template Reference
[Continuous Distributions]

List of all members.

## Detailed Description

### template<typename _RealType = double>
class std::tr1::uniform_real< _RealType >

A continuous random distribution on the range [min, max) with equal probability throughout the range. The URNG should be real-valued and deliver number in the range [0, 1).

Definition at line 2024 of file random.

## Public Types

- typedef _RealType input_type
- typedef _RealType result_type

## Public Member Functions

- result_type max () const
- result_type min () const
- template<class _UniformRandomNumberGenerator> result_type operator() (_UniformRandomNumberGenerator &__urng)
- void reset ()
- uniform_real (_RealType __min=_RealType(0), _RealType __max=_RealType(1))

## Friends

- template<typename _RealType1, typename _CharT, typename _Traits> std::basic_ostream< _CharT,
  _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &__os, const uniform_real< _RealType1 > &__x)
- template<typename _RealType1, typename _CharT, typename _Traits> std::basic_istream< _CharT,
  _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &__is, uniform_real< _RealType1 > &__x)

## Constructor & Destructor Documentation

template<typename _RealType = double>

std::tr1::uniform_real< _RealType >::uniform_real | ( | _RealType | __min = `_RealType(0)`,
|  | _RealType | __max = `_RealType(1)` |
| ) |  |  | `[inline, explicit]`

Constructs a uniform_real object.

Parameters:

  | __min | [IN] The lower bound of the distribution.
  | __max | [IN] The upper bound of the distribution.

Definition at line 2039 of file random.

References _GLIBCXX_DEBUG_ASSERT.

## Friends And Related Function Documentation

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const uniform_real< _RealType1 > & | __x |
| ) |  |  | `[friend]`

Inserts a uniform_real random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A uniform_real random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | uniform_real< _RealType1 > & | __x |
| ) |  |  | `[friend]`

Extracts a unform_real random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A uniform_real random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

The documentation for this class was generated from the following file:

- random